eslint-config-minim

1.0.2 • Public • Published

eslint-config-minim

npm version License: MIT

ESLint config that only helps you when you are going to mess it up and doesn't bother you about code style

Why?

If you are frustrated extending your ESLint config from eslint-config-standard or eslint-config-airbnb then you are in the right place.

ESLint is an essential tool to lint your code, but sometimes does too much job and could be frustrating. This config is an approach to let ESLint help you, without changing your code style. To mantain a consistent code style I recommend you Prettier, try it and never look back.

Basically eslint-config-minim is just extending the awesome eslint-config-unobtrusive, I recommend you to read the documentation to understand better the main goals and advantages of this approach.

Who should use it

If you use ES6 modules, React, Jest or Cypress this config could be really useful for you.

Installation

  1. Install the package:
npm install --save-dev eslint-config-{minim,unobtrusive} eslint-plugin-{cypress,import,promise,react}
  1. Use this ESLint configuration creating an .eslintrc.json file in the root of your project with this content:
{
  "extends": "minim"
}
  1. If you use a webpack config with resolvers or aliases this config will automatically validate your imports if your webpack config is in the root of your project and is called webpack.config.js, if you have your config in another place just use this in your .eslintrc.json file:
{
  "extends": "minim",
  "settings": {
    "import/resolver": {
      "webpack": {
        "config": "path/to/webpack.base.config.js"
      }
    }
  }
}

Readme

Keywords

Package Sidebar

Install

npm i eslint-config-minim

Weekly Downloads

1

Version

1.0.2

License

MIT

Unpacked Size

105 kB

Total Files

7

Last publish

Collaborators

  • marciobarrios